package rate;

import java.util.*;

public class RateViewConsole extends RateView {
	protected void showMessage(String message) {
		System.out.println(message);
	}

	protected void view() {
		System.out.println("Application " + title + " started.");
		update();
	}

	protected void updateView() {
		Iterator it = data.sequence().iterator();
		while (it.hasNext()) {
			String currency = (String) it.next();
			System.out.println(currency + ": " + (String) data.get(currency));
		}
	}
}